package com.qmth.boot.core.fss.config;

import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;
import java.util.HashMap;
import java.util.Map;

@Validated
public class FileStorePropertyMap {

    @NotNull
    private Map<String, FileStoreProperty> fss = new HashMap<>();

    public Map<String, FileStoreProperty> getFss() {
        return fss;
    }

    public void setFss(Map<String, FileStoreProperty> fss) {
        this.fss = fss;
    }
}
